commit:     1a7c0332ef7ed5278cc7f69d6ed5bacfec3bda8c
Author:     Henri Gasc <gasc <AT> eurecom <DOT> fr>
AuthorDate: Sat Mar 11 12:10:32 2023 +0000
Commit:     Viorel Munteanu <ceamac <AT> gentoo <DOT> org>
CommitDate: Sun Mar 12 17:37:42 2023 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=1a7c0332

dev-python/mkdocs-rss-plugin:

Update atom, allow tests

Closes: https://bugs.gentoo.org/894298
Signed-off-by: Henri Gasc <gasc <AT> eurecom.fr>

 dev-python/mkdocs-rss-plugin/Manifest              |  2 +-
 .../mkdocs-rss-plugin-1.5.0.ebuild                 | 43 -----------------
 .../mkdocs-rss-plugin-1.6.0.ebuild                 | 56 ++++++++++++++++++++++
 3 files changed, 57 insertions(+), 44 deletions(-)

diff --git a/dev-python/mkdocs-rss-plugin/Manifest 
b/dev-python/mkdocs-rss-plugin/Manifest
index 4ba441bac..72294a5a8 100644
--- a/dev-python/mkdocs-rss-plugin/Manifest
+++ b/dev-python/mkdocs-rss-plugin/Manifest
@@ -1 +1 @@
-DIST mkdocs-rss-plugin-1.5.0.gh.tar.gz 39301 BLAKE2B 
8d92ee030115b3d8ea589509a9558d61d72bfa4abd55b3451262928df8a63c9ed0399c2cd883a8d070c15241396cffcd96fd953a6b8e781b0d922d287b950886
 SHA512 
1ed861bca8feaab869c1e88a0533110a7b617b7a5bd68b6ea4b454975c56fee1aaa118d65abf8e8c03d41ff5b367f9561dee08cdffbcf7bfffa7268306c3f4b8
+DIST mkdocs-rss-plugin-1.6.0.gh.tar.gz 40747 BLAKE2B 
b10b65dc28a7c72b7f4ba6b2a9b866640dad196522724de510629183c71c80ab7fd3de66cca9fc06373b08b0ab2434248b8b2cf7d82ee12c06e94f73e61d0124
 SHA512 
b3f7a4037eddd0c9bd98448026d82407ba7042c4b4c33bbfa1932e516cdd54c26bc326030e4dc30e92d7e8f8aea3bdc83969f57f17d7e8668547d92c57ff714b

diff --git a/dev-python/mkdocs-rss-plugin/mkdocs-rss-plugin-1.5.0.ebuild 
b/dev-python/mkdocs-rss-plugin/mkdocs-rss-plugin-1.5.0.ebuild
deleted file mode 100644
index ad0721f47..000000000
--- a/dev-python/mkdocs-rss-plugin/mkdocs-rss-plugin-1.5.0.ebuild
+++ /dev/null
@@ -1,43 +0,0 @@
-# Copyright 2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{9..11} )
-
-inherit distutils-r1
-
-DESCRIPTION="MkDocs plugin to generate a RSS feeds."
-HOMEPAGE="https://github.com/Guts/mkdocs-rss-plugin 
https://pypi.org/project/mkdocs-rss-plugin";
-SRC_URI="https://github.com/Guts/mkdocs-rss-plugin/archive/refs/tags/${PV}.tar.gz
 -> ${P}.gh.tar.gz"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64"
-IUSE="doc"
-
-RDEPEND=""
-BDEPEND="
-       dev-python/setuptools[${PYTHON_USEDEP}]
-       dev-python/mkdocs[${PYTHON_USEDEP}]
-       dev-python/GitPython[${PYTHON_USEDEP}]
-       doc? (
-               dev-python/mkdocs-bootswatch[${PYTHON_USEDEP}]
-               dev-python/mkdocs-minify-plugin[${PYTHON_USEDEP}]
-               dev-python/pygments[${PYTHON_USEDEP}]
-               dev-python/pymdown-extensions[${PYTHON_USEDEP}]
-       )
-"
-DEPEND="${BDEPEND}"
-
-# No test because of upstream bug
-# BDEPEND+="
-#      test? (
-#              dev-python/black[${PYTHON_USEDEP}]
-#              dev-python/feedparser[${PYTHON_USEDEP}]
-#              dev-python/flake8[${PYTHON_USEDEP}]
-#              dev-vcs/pre-commit
-#              dev-python/pytest-cov[${PYTHON_USEDEP}]
-#      )"
-# distutils_enable_tests pytest

diff --git a/dev-python/mkdocs-rss-plugin/mkdocs-rss-plugin-1.6.0.ebuild 
b/dev-python/mkdocs-rss-plugin/mkdocs-rss-plugin-1.6.0.ebuild
new file mode 100644
index 000000000..87050fd62
--- /dev/null
+++ b/dev-python/mkdocs-rss-plugin/mkdocs-rss-plugin-1.6.0.ebuild
@@ -0,0 +1,56 @@
+# Copyright 2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_10 )
+
+inherit distutils-r1
+
+DESCRIPTION="MkDocs plugin to generate a RSS feeds."
+HOMEPAGE="https://github.com/Guts/mkdocs-rss-plugin 
https://pypi.org/project/mkdocs-rss-plugin";
+SRC_URI="https://github.com/Guts/mkdocs-rss-plugin/archive/refs/tags/${PV}.tar.gz
 -> ${P}.gh.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+BDEPEND="
+       dev-python/mkdocs[${PYTHON_USEDEP}]
+       dev-python/GitPython[${PYTHON_USEDEP}]
+       test? (
+               dev-python/black[${PYTHON_USEDEP}]
+               dev-python/feedparser[${PYTHON_USEDEP}]
+               dev-vcs/pre-commit
+               dev-python/validator-collection[${PYTHON_USEDEP}]
+               dev-python/mkdocs-bootswatch[${PYTHON_USEDEP}]
+               dev-python/mkdocs-minify-plugin[${PYTHON_USEDEP}]
+               dev-python/pygments[${PYTHON_USEDEP}]
+               dev-python/pymdown-extensions[${PYTHON_USEDEP}]
+       )
+"
+DEPEND="${BDEPEND}"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+       sed -i \
+               -e 's/--cov-config=setup.cfg//' \
+               -e 's/--cov=mkdocs_rss_plugin//' \
+               -e 's/--cov-report=html//' \
+               -e 's/--cov-report=term//' \
+               -e 's/--cov-report=xml//' \
+               "${S}/setup.cfg" || die
+       distutils-r1_src_prepare
+}
+
+python_test() {
+       cd "${S}"
+       git init
+       git config --global user.name nobody || die
+       git config --global user.email [email protected] || die
+       local EPYTEST_IGNORE="${S}/tests/_wip"
+       local 
EPYTEST_DESELECT="tests/test_rss_util.py::TestRssUtil::test_remote_image_ok"
+       epytest "${S}"/tests || die "Tests failed with ${EPYTHON}"
+}

Reply via email to